The Item Price object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

item_code string required
uom string required
packing_unit integer

Default: 0

item_name string
brand string
item_description string
price_list string required
customer string
supplier string
buying boolean

Default: false

selling boolean

Default: false

currency string
price_list_rate number required
valid_from string
lead_time_days integer

Default: 0

valid_upto string
note string
reference string
batch_no string
The Item Price object
{
  "id": "item-price_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "uom": "uom_example",
  "packing_unit": 0,
  "item_name": "item_name_example",
  "brand": "brand_example",
  "item_description": "item_description_example",
  "price_list": "price_list_example",
  "customer": "customer_example",
  "supplier": "supplier_example",
  "buying": false,
  "selling": false,
  "currency": "USD",
  "price_list_rate": 0,
  "valid_from": "valid_from_example",
  "lead_time_days": 0,
  "valid_upto": "valid_upto_example",
  "note": "note_example",
  "reference": "reference_example",
  "batch_no": "batch_no_example"
}
GET /api/stock/item-price/{id}

Retrieve a item price

Retrieves the details of an existing item price. Supply the unique item price ID that was returned from a previous request.

Path parameters

id string required

The identifier of the item price to retrieve.

Returns

Returns the item price object if a valid identifier was provided.

GET /api/stock/item-price/{id}
curl https://api.overplane.dev/api/stock/item-price/item-price_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "item-price_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "uom": "uom_example",
  "packing_unit": 0,
  "item_name": "item_name_example",
  "brand": "brand_example",
  "item_description": "item_description_example",
  "price_list": "price_list_example",
  "customer": "customer_example",
  "supplier": "supplier_example",
  "buying": false,
  "selling": false,
  "currency": "USD",
  "price_list_rate": 0,
  "valid_from": "valid_from_example",
  "lead_time_days": 0,
  "valid_upto": "valid_upto_example",
  "note": "note_example",
  "reference": "reference_example",
  "batch_no": "batch_no_example"
}
GET /api/stock/item-price

List all item prices

Returns a list of item prices. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of item price objects.

GET /api/stock/item-price
curl https://api.overplane.dev/api/stock/item-price \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "item-price_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "item_code": "item_code_example",
      "uom": "uom_example",
      "packing_unit": 0,
      "item_name": "item_name_example",
      "brand": "brand_example",
      "item_description": "item_description_example",
      "price_list": "price_list_example",
      "customer": "customer_example",
      "supplier": "supplier_example",
      "buying": false,
      "selling": false,
      "currency": "USD",
      "price_list_rate": 0,
      "valid_from": "valid_from_example",
      "lead_time_days": 0,
      "valid_upto": "valid_upto_example",
      "note": "note_example",
      "reference": "reference_example",
      "batch_no": "batch_no_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/item-price

Create a item price

Creates a new item price object.

Body parameters

item_code string required
uom string required
packing_unit integer

Default: 0

item_name string
brand string
item_description string
price_list string required
customer string
supplier string
buying boolean

Default: false

selling boolean

Default: false

currency string
price_list_rate number required
valid_from string
lead_time_days integer

Default: 0

valid_upto string
note string
reference string
batch_no string

Returns

Returns the newly created item price object if the call succeeded.

POST /api/stock/item-price
curl https://api.overplane.dev/api/stock/item-price \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"item_code":"item_code_example","uom":"uom_example","price_list":"price_list_example","price_list_rate":0}'
Response
{
  "id": "item-price_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "uom": "uom_example",
  "packing_unit": 0,
  "item_name": "item_name_example",
  "brand": "brand_example",
  "item_description": "item_description_example",
  "price_list": "price_list_example",
  "customer": "customer_example",
  "supplier": "supplier_example",
  "buying": false,
  "selling": false,
  "currency": "USD",
  "price_list_rate": 0,
  "valid_from": "valid_from_example",
  "lead_time_days": 0,
  "valid_upto": "valid_upto_example",
  "note": "note_example",
  "reference": "reference_example",
  "batch_no": "batch_no_example"
}
PATCH /api/stock/item-price/{id}

Update a item price

Updates the specified item price by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the item price to update.

Body parameters

item_code string
uom string
packing_unit integer

Default: 0

item_name string
brand string
item_description string
price_list string
customer string
supplier string
buying boolean

Default: false

selling boolean

Default: false

currency string
price_list_rate number
valid_from string
lead_time_days integer

Default: 0

valid_upto string
note string
reference string
batch_no string

Returns

Returns the updated item price object.

PATCH /api/stock/item-price/{id}
curl https://api.overplane.dev/api/stock/item-price/item-price_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"item_code":"item_code_example","uom":"uom_example"}'
Response
{
  "id": "item-price_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "item_code": "item_code_example",
  "uom": "uom_example",
  "packing_unit": 0,
  "item_name": "item_name_example",
  "brand": "brand_example",
  "item_description": "item_description_example",
  "price_list": "price_list_example",
  "customer": "customer_example",
  "supplier": "supplier_example",
  "buying": false,
  "selling": false,
  "currency": "USD",
  "price_list_rate": 0,
  "valid_from": "valid_from_example",
  "lead_time_days": 0,
  "valid_upto": "valid_upto_example",
  "note": "note_example",
  "reference": "reference_example",
  "batch_no": "batch_no_example"
}
DELETE /api/stock/item-price/{id}

Delete a item price

Permanently deletes a item price. This cannot be undone.

Path parameters

id string required

The identifier of the item price to delete.

Returns

Returns a confirmation that the item price has been deleted.

DELETE /api/stock/item-price/{id}
curl https://api.overplane.dev/api/stock/item-price/item-price_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "item-price_abc123",
  "deleted": true
}